diff --git a/Makefile b/Makefile
index 7be3c15..099a707 100644
--- a/Makefile
+++ b/Makefile
@@ -6,7 +6,7 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 # Use at your own risk. See README file for more details.
 
-JPEG_DIR ?= /opt/libjpeg-turbo
+JPEG_DIR ?= /usr
 JPEG_INCLUDE ?= $(JPEG_DIR)/include
 JPEG_LIB ?= $(JPEG_DIR)/lib`getconf LONG_BIT`
 
@@ -16,15 +16,15 @@ GTK   = `pkg-config --libs --cflags gtk+-3.0` `pkg-config --libs x11`
 GTK  += `pkg-config --cflags --libs appindicator3-0.1`
 LIBAV = `pkg-config --libs --cflags libswscale libavutil`
 LIBS  =  -lspeex -lasound -lpthread -lm
-JPEG  = -I$(JPEG_INCLUDE) $(JPEG_LIB)/libturbojpeg.a
+JPEG  = -I$(JPEG_INCLUDE) $(JPEG_LIB)/libturbojpeg.so
 SRC   = src/connection.c src/settings.c src/decoder*.c src/av.c src/usb.c src/queue.c
-USBMUXD = -lusbmuxd
+USBMUXD = -lusbmuxd-2.0
 
 all: droidcam-cli droidcam
 
 ifneq "$(RELEASE)" ""
-LIBAV = /usr/lib/x86_64-linux-gnu/libswscale.a /usr/lib/x86_64-linux-gnu/libavutil.a
-SRC  += src/libusbmuxd.a src/libxml2.a src/libplist-2.0.a
+LIBAV = /usr/lib/x86_64-linux-gnu/libswscale.so /usr/lib/x86_64-linux-gnu/libavutil.so
+SRC  += src/libusbmuxd-2.0.so src/libxml2.so src/libplist-2.0.so
 package: clean all
 	zip "droidcam_$(RELEASE).zip" \
 		LICENSE README* icon2.png  \
@@ -40,11 +40,11 @@ gresource: .gresource.xml icon2.png
 
 droidcam-cli: LDLIBS += $(JPEG) $(LIBAV) $(LIBS)
 droidcam-cli: src/droidcam-cli.c $(SRC)
-	$(CC) $(CPPFLAGS) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(LDLIBS)
+	$(CC) $(CPPFLAGS) $(CXXFLAGS) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(LDLIBS)
 
 droidcam: LDLIBS += $(GTK) $(JPEG) $(LIBAV) $(LIBS)
 droidcam: src/droidcam.c src/resources.c $(SRC)
-	$(CC) $(CPPFLAGS) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(LDLIBS)
+	$(CC) $(CPPFLAGS) $(CXXFLAGS) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(LDLIBS)
 
 clean:
 	rm -f droidcam
